LINUX.ORG.RU

libqt-mt


0

0

Поставил Qt 3.3.7, изначально в дистрибутиве идёт 3.3.2. Захожу - KDE не запускается, 
говорит не могу найти libqt-mt.so.3, действиельно:

$ cd /usr/lib/qt-3.3.2/lib
$ ls -l libqt-mt*
-rw-r--r--  1 root root     808 2004-06-10 11:24 libqt-mt.la
-rw-r--r--  1 root root     776 2004-06-10 11:24 libqt-mt.prl
lrwxrwxrwx  1 root root      17 2005-02-13 16:50 libqt-mt.so -> libqt-mt.so.3.3.2
lrwxrwxrwx  1 root root      17 2005-02-13 16:50 libqt-mt.so.3 -> libqt-mt.so.3.3.2
lrwxrwxrwx  1 root root      17 2005-02-13 16:50 libqt-mt.so.3.3 -> libqt-mt.so.3.3.2
-rwxr-xr-x  1 root root 7019004 2004-06-10 11:36 libqt-mt.so.3.3.2


$ cd /usr/lib/qt-x11-free-3.3.7/lib/
$ ls -l libqt-mt*
ls: libqt-mt*: No such file or directory

Я чего-то не сделал? Где взять libqt-mt?
anonymous

Re: libqt-mt

А поставить qt дистрибутивными средствами, а не черте-как черте-куда не судьба?

Deleted ()
Ответ на: Re: libqt-mt от Deleted

Re: libqt-mt

На слакваревском ftp для 10.0 я нашёл пакет только с 3.3.2, который и идёт в дистрибутиве, как ещё дистрибутивными средствами ставить?

В принципе, можно из скомпилённой qt 3.3.7 пакет сделать, только что изменит?

anonymous ()

Re: libqt-mt

банально руками сделай символическую ссылку (man ln) на новый 3.3.7 с именем libqt-mt.so*

QuaD ()
Ответ на: Re: libqt-mt от Skull

Re: libqt-mt

Т.е., чтобы использовался libqt-mt.so из старой версии?

anonymous ()
Ответ на: Re: libqt-mt от QuaD

Re: libqt-mt

В том-то и дело, что нет такого:

$ cd /usr/lib/qt-x11-free-3.3.7/lib/
$ ls -l libqt-mt*
ls: libqt-mt*: No such file or directory

anonymous ()

Re: libqt-mt

ЖжошЪЪ! Чтобы у меня так емерж отрабатывал, сделал глобальный апдейт, а потом на `find / | wc -l` выдавался жирный ноль. Нирвана, типа, состояние высшего совершенства.

Куда ты её ___поставил___, сын мой, аж так, что её там нет?

Gharik ()
Ответ на: Re: libqt-mt от Gharik

Re: libqt-mt

Полагаю, что она просто не скомпилилась :)

Поступил согласно совету Skull, т.е. добавил в /etc/ld.so.conf путь к старой версии. 
KDE запустилось, вроде всё заработало.

Щас думаю скомпилю новый sim (для чего всё и затевалось), запускаю ./configure и... 
похоже вот в чём проблема:

checking for Qt... configure: error: Qt (>= Qt 3.2) (library qt-mt) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!

Буду пересобирать Qt с -thread. Внимание вопрос: есть ли ещё что-нибудь важное, 
что нужно в опциях Qt указать?

anonymous ()
Ответ на: Re: libqt-mt от anonymous

Re: libqt-mt

Как так можно компилить, не зная что вообще компилится
и как оно закончилось? :)

А компилится все крайне просто (у меня и очень давно):

echo "yes" | ./configure -prefix /usr/lib/qt-3.3.7 \
	-no-g++-exceptions \
	-no-exceptions \
	-largefile \
	-release \
	-shared \
	-thread \
	-stl \
	\
	-system-nas-sound \
	-system-libjpeg \
	-system-libmng \
	-system-libpng \
	-system-zlib \
	\
	-qt-imgfmt-jpeg \
	-qt-imgfmt-png \
	-qt-imgfmt-mng \
	-qt-gif \
	\
	-xinerama \
	-xrender \
	-no-ipv6 \
	-cups \
	-xkb \
	-xft \
	-sm \
	\
	-plugin-sql-mysql \
	-no-dlopen-opengl \
	-enable-opengl \
	-enable-sql \
	\
	-plugin-style-motifplus \
	-plugin-style-platinum \
	-plugin-style-compact \
	-plugin-style-windows \
	-plugin-style-cde \
	-plugin-style-sgi \
	-qt-style-motif \
	\
	-enable-workspace \
	-enable-iconview \
	-enable-network \
	-enable-dialogs \
	-enable-widgets \
	-enable-styles \
	-enable-kernel \
	-enable-canvas \
	-enable-tools \
	-enable-table \
	-enable-xml \

sed -i "s%sub-tools sub-tutorial sub-examples% sub-tools %" Makefile

make all

И вообще, ставили б вы Генту...

Gharik ()
Ответ на: Re: libqt-mt от Deleted

Re: libqt-mt

вот она сляквачная "простота", тфу, нет чтобы гентуу использовать

timth ★☆ ()
Ответ на: Re: libqt-mt от Gharik

Re: libqt-mt

Спасибо!

>Как так можно компилить, не зная что вообще компилится и как оно закончилось? :)

Дурное дело не хитрое :) Просто никогда Qt не собирал (или собирал, но очень давно), потому и не знаю, что ему из опций нужно. В принципе, подумал что есть два пути: накрутить по максимуму или собрать по умолчанию, сдрефил чё-то и собрал по умолчанию. Главное, что в голове mt с thread интуитивно не увязалось, потому и не знал куда копать.

anonymous ()
Ответ на: Re: libqt-mt от Deleted

Re: libqt-mt

Раньше была красная шапка, тока там, имхо, не лучше. Хорошо, если есть готовый пакет, или нормальный spec, а если нет? Где-то спеки выправлять получалось где-то нет. Где-то их совсем не было. Постепенно система неизбежно заполнялась результатами ./configure && make && make install. Потому, при установке новой системы выбрал слаку, тут хоть можно из самособранного нормально пакет сотворить. Впрочем, сейчас и в слаке свои минусы вижу :(

А какая ваша религия?

anonymous ()

Re: libqt-mt

Вот я не пойму, неужели нельзя было взять и заглянуть ради спортивного интереса на http://www.slackware.at/data/slackware-11.0/source/kde/qt/ и, поправя одну циферку в local.options, пересобрать qt ТОЧНО ТАКЖЕ, как и Патрик(запустив qt.Slackbuild), а потом сделать upgradepkg? Почему, блин, надо стройную систему пакетов превращать в помойку?

Deleted ()
Ответ на: Re: libqt-mt от Gharik

Re: libqt-mt

>Мне пофиг, ибо Генту ;) Но люди мучаются...

С вашим долбаным генту мучаются. У Патрика вот проблем никогда не бывает, ибо он создает и юзает слаку :)))))

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.